GroovyParser.FieldDeclarationContext (Groovy 3.0.7)

Package org.apache.groovy.parser.antlr4

## Class GroovyParser.FieldDeclarationContext

- java.lang.Object
- - org.antlr.v4.runtime.RuleContext
  - - org.antlr.v4.runtime.ParserRuleContext
    - - org.apache.groovy.parser.antlr4.GroovyParser.GroovyParserRuleContext
      - - org.apache.groovy.parser.antlr4.GroovyParser.FieldDeclarationContext

- All Implemented Interfaces:
    `org.antlr.v4.runtime.tree.ParseTree`, `org.antlr.v4.runtime.tree.RuleNode`, `org.antlr.v4.runtime.tree.SyntaxTree`, `org.antlr.v4.runtime.tree.Tree`, `NodeMetaDataHandler`
  Enclosing class:
    GroovyParser

      public static class GroovyParser.FieldDeclarationContext
      extends GroovyParser.GroovyParserRuleContext

- - ### Field Summary

    - ### Fields inherited from class org.antlr.v4.runtime.ParserRuleContext

      `children, exception, start, stop`

    - ### Fields inherited from class org.antlr.v4.runtime.RuleContext

      `invokingState, parent`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `FieldDeclarationContext​(org.antlr.v4.runtime.ParserRuleContext parent, int invokingState)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `<Result> Result` | `accept​(org.antlr.v4.runtime.tree.ParseTreeVisitor<? extends Result> visitor)` |
    `int` | `getRuleIndex()` |
    `GroovyParser.VariableDeclarationContext` | `variableDeclaration()` |

    - ### Methods inherited from class org.apache.groovy.parser.antlr4.GroovyParser.GroovyParserRuleContext

      `getMetaDataMap, setMetaDataMap`

    - ### Methods inherited from class org.antlr.v4.runtime.ParserRuleContext

      `addAnyChild, addChild, addChild, addChild, addErrorNode, addErrorNode, copyFrom, emptyContext, enterRule, exitRule, getChild, getChild, getChildCount, getParent, getRuleContext, getRuleContexts, getSourceInterval, getStart, getStop, getToken, getTokens, removeLastChild, toInfoString`

    - ### Methods inherited from class org.antlr.v4.runtime.RuleContext

      `depth, getAltNumber, getChildContext, getPayload, getRuleContext, getText, isEmpty, setAltNumber, setParent, toString, toString, toString, toString, toString, toStringTree, toStringTree, toStringTree`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.codehaus.groovy.ast.NodeMetaDataHandler

      `copyNodeMetaData, getNodeMetaData, getNodeMetaData, getNodeMetaData, putNodeMetaData, removeNodeMetaData, setNodeMetaData`

- - ### Constructor Detail

    - #### FieldDeclarationContext

          public FieldDeclarationContext​(org.antlr.v4.runtime.ParserRuleContext parent,
                                         int invokingState)

  - ### Method Detail

    - #### variableDeclaration

          public GroovyParser.VariableDeclarationContext variableDeclaration()

    - #### getRuleIndex

          public int getRuleIndex()

      Overrides:
        `getRuleIndex` in class `org.antlr.v4.runtime.RuleContext`

    - #### accept

          public <Result> Result accept​(org.antlr.v4.runtime.tree.ParseTreeVisitor<? extends Result> visitor)

      Specified by:
        `accept` in interface `org.antlr.v4.runtime.tree.ParseTree`
      Overrides:
        `accept` in class `org.antlr.v4.runtime.RuleContext`